package com.ruoyi.tcZz.service;

import java.util.List;

import com.ruoyi.tcZz.domain.TcYtlc;
import com.ruoyi.tcZz.domain.TcZbxq;

/**
 *  转办量、转办详情Service接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface ITcZbxqService 
{
    /**
     * 查询 转办量、转办详情
     *
     * @param id  转办量、转办详情主键
     * @return  转办量、转办详情
     */
    public TcZbxq selectTcZbxqById(Long id);

    /**
     * 查询 转办量、转办详情列表
     *
     * @param tcZbxq  转办量、转办详情
     * @return  转办量、转办详情集合
     */
    public List<TcZbxq> selectTcZbxqList(TcZbxq tcZbxq);

    /**
     * 新增 转办量、转办详情
     *
     * @param tcZbxq  转办量、转办详情
     * @return 结果
     */
    public int insertTcZbxq(TcZbxq tcZbxq);

    /**
     * 修改 转办量、转办详情
     *
     * @param tcZbxq  转办量、转办详情
     * @return 结果
     */
    public int updateTcZbxq(TcZbxq tcZbxq);

    /**
     * 批量删除 转办量、转办详情
     *
     * @param ids 需要删除的 转办量、转办详情主键集合
     * @return 结果
     */
    public int deleteTcZbxqByIds(Long[] ids);

    /**
     * 删除 转办量、转办详情信息
     *
     * @param id  转办量、转办详情主键
     * @return 结果
     */
    public int deleteTcZbxqById(Long id);


    /**
     * 导入转办量、转办
     *
     * @return 结果
     */
    public String importUser(List<TcZbxq> tcZbxqList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
